Skip to content

Publish wells

Request

Publish wells

Security
(bearer and appkey) or (sauth_service_token and appkey)
Path
dataSourcestringrequired

data source name

Headers
slb-partition-idstringrequired

The data partition id.

Body

well data list

Array [
idstringrequired
namestringrequired
timestampstring, (date-time)

object last modify time, drillplan will compare this value and the last modify time in drillplan, to decide if the source data is newer.

commentsstring or null
fetchableboolean or null
locationobject(LocationDto)
is_off_shorebooleanrequired

Indicator whether it's an offshore well or land well

ground_levelnumber or null, (double)

Elevation of ground level (land rigs) or seabed (offshore rigs) above MSL.

rkbnumber or null, (double)

Elevation of RKB above MSL.

custom_vertical_reference_surfaceobject(VerticalReferenceSurface)
uwistring or null
field_namestring or null

Name of the field in which the well is located.

countrystring or null

[OBSOLETE] Country in which well is located. This property is obsolete and will be removed in future versions. Please use country_code_alpha2 instead.

country_code_alpha2string or null

Country code (ISO 3166-1 alpha-2) in which the well is located. Replaces the obsolete country property.

areastring or null

Area in which well is located.

statestring or null

State or province in which well is located.

countystring or null

County in which the well is located.

citystring or null

City in which the well is located.

labelsArray of strings or null

some label for the well

]
curl -i -X POST \
  'https://eu-api.delfi.slb.com/drillplan/consumptionHub/v1/ingress/data-sources/{dataSource}/wells' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string' \
  -d '[
    {
      "id": "string",
      "name": "string",
      "link": "http://example.com",
      "timestamp": "2019-08-24T14:15:22Z",
      "comments": "string",
      "fetchable": true,
      "location": {
        "coordinate_reference_system": "string",
        "coordinates_type": "string",
        "azimuth_reference": "Grid",
        "northing": 0.1,
        "easting": 0.1,
        "latitude": 0.1,
        "longitude": 0.1
      },
      "is_off_shore": true,
      "ground_level": 0.1,
      "rkb": 0.1,
      "custom_vertical_reference_surface": {
        "code": "string",
        "full_name": "string",
        "offset": 0.1
      },
      "uwi": "string",
      "field_name": "string",
      "country": "string",
      "country_code_alpha2": "string",
      "area": "string",
      "state": "string",
      "county": "string",
      "city": "string",
      "labels": [
        "string"
      ]
    }
  ]'

Responses

Success

Response
No content